# ChangeLog for app-admin/sudo
# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/ChangeLog,v 1.109 2008/02/12 10:14:16 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/ChangeLog,v 1.110 2008/02/12 10:29:46 flameeyes Exp $
+
+ 12 Feb 2008; Diego Pettenò <flameeyes@gentoo.org> -sudo-1.6.8_p9.ebuild,
+ -sudo-1.6.8_p9-r2.ebuild, -sudo-1.6.8_p11.ebuild, -sudo-1.6.8_p12.ebuild,
+ sudo-1.6.8_p12-r1.ebuild:
+ Remove old versions, and quote variables on the last stable so that repoman
+ stops yelling at me.
*sudo-1.6.9_p12 (12 Feb 2008)
AUX sudo-ldap_timelimit.diff 2550 RMD160 b34a41e3fc4016ff182ed1800e0f1b0f82d3bfdf SHA1 c3c15eea9cf2e552010e27d0282246fa770d2fae SHA256 fc6eedb3435edbf5ccfcd5f62d8f31a78bf01afbb519c6b40bbe1329d82d6cea
AUX sudo-skeychallengeargs.diff 567 RMD160 906ee43a7c2f21d1cf5130eac5c98ef0833154fd SHA1 b0efbedc72a1ed85c74ba10e343a68368e76c3e9 SHA256 dd2f4fdba26be6c3b4af15f3b6e18efa19375e1f9c579cdc2c76ee1adcce5e1d
AUX sudoers 1612 RMD160 f61c372791112feecae7e0a762a9aa9f30285099 SHA1 b27d644dcd9d7d3727db9355a81cebf7deaa6a7a SHA256 4ff5355e2d1dcac48bdd8420982a5b437546cd40b3dc445f9fbfb9464a4af1a0
-DIST sudo-1.6.8p11.tar.gz 585581 RMD160 e7f5f1fe19309272a029c753e50b569d487d57f6 SHA1 ff3dd0d72cf7ae2eb72018bdb1327193927f3b39 SHA256 62727eb062c3d0fa3870f72fcbdaf596aa8f44f18eacc9e71fd200e87645d994
DIST sudo-1.6.8p12.tar.gz 585643 RMD160 d7ff9f18ca0973615258c2e975300b94567451d5 SHA1 a79631e9e1c0d0d3f2aa88ae685628e5fde61982 SHA256 56f7d86032538a4a98d90af3742903a09ba16d6db82b593e4a47605f87fa581a
-DIST sudo-1.6.8p9.tar.gz 585509 RMD160 c1c719504476ab9ac11e0421716d149120463e33 SHA1 f264d1ad9f197920f2e69614db7935b35ca51672 SHA256 68f5b3e4f5572d816cf4d23616432286da7ba96ac58c17fef23046f12c88f440
DIST sudo-1.6.9p12.tar.gz 581936 RMD160 fe07ead5c328b35fc0c84946d71469f4620ddd06 SHA1 c2b07c68d2026fb3e7786b2c9a8fb0c519a830f8 SHA256 d25c7a04f0db65c4a4e587df337fb6c4bd5165155d7ab64e8b00a89f745dd4aa
-EBUILD sudo-1.6.8_p11.ebuild 6630 RMD160 23d824e5739dbd7c99bd567bdfe0b5c2c796d27e SHA1 8dc5b6f0786c785d789bb3d5636212fcbdf8cfd5 SHA256 97f6f74ef5d6d3a1a186ecea2906ac74617b2b7ab1a988eeaadda07877748502
-EBUILD sudo-1.6.8_p12-r1.ebuild 6641 RMD160 923cb131aa1fca212341ac98ca24db702b780c1a SHA1 232fff5abe32dab0ef19df233964769788170839 SHA256 df6495f14957cb7870dedd90e6c4728666cc04e47e844221918b1e2f609b4c11
-EBUILD sudo-1.6.8_p12.ebuild 6317 RMD160 7671a399e6f857848210cc6d2e55d02fb8c5ea04 SHA1 980b51b5d51d8dc0a1327792d13a7fa22b858cfe SHA256 6a9431c37268f62aca08d8140816e7841a96f71be28eb19c1619782bb8739fb5
-EBUILD sudo-1.6.8_p9-r2.ebuild 6744 RMD160 622adfbb3f5a1a0db629b340f86ba6534f9a2019 SHA1 e0da67266bad7a3d5695c40813a36b219314be1b SHA256 864ee0e4ace78180be7f28888f967c497b93a84c9b691f3229806b562d92db53
-EBUILD sudo-1.6.8_p9.ebuild 6039 RMD160 392ed3c7a54af888a573141b56399b148e760738 SHA1 98d24b20af3af4e849135cd0c7f416080790787f SHA256 ea3fe473a8945516030cf6f6f5fa548265fa8398d6ebe7015f77410f94e63c82
+EBUILD sudo-1.6.8_p12-r1.ebuild 6670 RMD160 a51207174765e05ba2afead1e15b3d8ddc4a925f SHA1 a797a7d888fb1de1ce08d0b51ed4f67b60619e61 SHA256 d03b6198b3dff76669c5129b8e2c1e05f8c8b9c28ce4c682de063aad5d1effc4
EBUILD sudo-1.6.9_p12.ebuild 6071 RMD160 b2a050069f318600984157d039e3c86f38f9b6aa SHA1 8ac14446ffc10d8c919a61b9235994f045480eb6 SHA256 b929c6eb65ecd38d08ba8682e25c7c7a94357a6fc8d7c5705b4471b3804635df
-MISC ChangeLog 14402 RMD160 110a0a010506249abb720c330e6ba46bef94bee5 SHA1 10f36e04e43903b78d9d738a8aa48d69d4fdf29b SHA256 c3a7ce2210dda4dd0dd0b0b45e16d62c48835b00c45e722ddd976664b494215d
+MISC ChangeLog 14684 RMD160 622769f4bd84d62855a06cee442e6635e5f48f9c SHA1 bda16579afbd165ee9a96ec1bc78fe4a21269093 SHA256 d3b28848eb5a383d96b0fbcd96a55a690e69d4f25caccaa574357bb84026d944
MISC metadata.xml 501 RMD160 74dd36daa51d7ad5ce1659f0279e1245cd1ef4bc SHA1 e447d21dc61ee4a6de8cc0f66aa28aa422d9990a SHA256 5f399b83a90977486ff92847caa884d16f8b71705fd0d2203acb35f56c9a6db6
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.7 (GNU/Linux)
-iD8DBQFHsXF+AiZjviIA2XgRApmpAJ0fnzfjfIn47EHuS4gWHvERzuwAtgCghoMp
-Kdo1Mss26EwGNU+NWI26QqM=
-=dM3P
+iD8DBQFHsXUgAiZjviIA2XgRAlTqAKCb+Q0UdFoFy6s7gjQWPEkq+n2tywCgjNHB
+cavE/Aex/Y1kn1n9R1Pv4oI=
+=jDA6
-----END PGP SIGNATURE-----
+++ /dev/null
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.6.8_p11.ebuild,v 1.2 2006/02/16 10:10:16 taviso Exp $
-
-inherit eutils pam
-
-# TODO: Fix support for krb4 and krb5
-
-DESCRIPTION="Allows users or groups to run commands as other users"
-HOMEPAGE="http://www.sudo.ws/"
-SRC_URI="ftp://ftp.sudo.ws/pub/sudo/${P/_/}.tar.gz"
-LICENSE="Sudo"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-IUSE="pam skey offensive ldap selinux"
-
-DEPEND="pam? ( || ( virtual/pam sys-libs/pam ) )
- ldap? ( >=net-nds/openldap-2.1.30-r1 )
- skey? ( >=app-admin/skey-1.1.5-r1 )
- sys-devel/bison
- virtual/editor
- virtual/mta"
-RDEPEND="selinux? ( sec-policy/selinux-sudo )
- ldap? ( dev-lang/perl )
- ${DEPEND}"
-
-S=${WORKDIR}/${P/_/}
-
-src_unpack() {
- unpack ${A}; cd ${S}
-
- # ldap failover patch
- epatch ${FILESDIR}/${PN}-ldap_timelimit.diff
-
- # compatability fix.
- epatch ${FILESDIR}/${PN}-skeychallengeargs.diff
-
- # make tls_cacert synonymous with tls_cacertfile.
- epatch ${FILESDIR}/${PN}-1.6.8_p8-ldap-tls_cacert.diff
-
- # additional variables to disallow, should user disable env_reset.
-
- # NOTE: this is not a supported mode of operation, these variables
- # are added to the blacklist as a convenience to administrators
- # who fail to heed the warnings of allowing untrusted users
- # to access sudo.
- #
- # there is *no possible way* to foresee all attack vectors in
- # all possible applications that could potentially be used via
- # sudo, these settings will just delay the inevitable.
- #
- # that said, I will accept suggestions for variables that can
- # be misused in _common_ interpreters or libraries, such as
- # perl, bash, python, ruby, etc., in the hope of dissuading
- # a casual attacker.
-
- # XXX: perl should be using suid_perl.
- # XXX: users can remove/add more via env_delete and env_check.
- # XXX: <?> = probably safe enough for most circumstances.
-
- einfo "Blacklisting common variables (env_delete)..."
- sudo_bad_var 'PERLIO_DEBUG' # perl, write debug to file.
- sudo_bad_var 'PERL5LIB' # perl, change search path.
- sudo_bad_var 'PERLLIB' # perl, change search path.
-# sudo_bad_var 'PERL_HASH_SEED' # perl, change seed. <?>
-# sudo_bad_var 'PERL_HASH_SEED_DEBUG' # perl, disclose seed. <?>
-# sudo_bad_var 'PERL_SIGNALS' # perl, use deferred signals. <?>
- sudo_bad_var 'FPATH' # ksh, search path for functions.
- sudo_bad_var 'NULLCMD' # zsh, command on null-redir. <?>
- sudo_bad_var 'READNULLCMD' # zsh, command on null-redir. <?>
-# sudo_bad_var 'TMPPREFIX' # zsh, prefix for tmp files. <?>
- sudo_bad_var 'GLOBIGNORE' # bash, glob paterns to ignore. <?>
- sudo_bad_var 'PERL5OPT' # perl, set options.
- sudo_bad_var 'PYTHONHOME' # python, module search path.
- sudo_bad_var 'PYTHONPATH' # python, search path.
- sudo_bad_var 'PYTHONINSPECT' # python, allow inspection.
- sudo_bad_var 'RUBYLIB' # ruby, lib load path.
- sudo_bad_var 'RUBYOPT' # ruby, cl options.
-# sudo_bad_var 'RUBYPATH' # ruby, script search path. <?>
- sudo_bad_var 'ZDOTDIR' # zsh, path to search for dotfiles.
- einfo "...done."
-
- # prevent binaries from being stripped.
- sed -i 's/\($(INSTALL).*\) -s \(.*[(sudo|visudo)]\)/\1 \2/g' Makefile.in
-}
-
-src_compile() {
- local line ROOTPATH
-
- # FIXME: secure_path is a compile time setting. using ROOTPATH
- # is not perfect, env-update may invalidate this, but until it
- # is available as a sudoers setting this will have to do.
- einfo "Setting secure_path..."
-
- # why not use grep? variable might be expanded from other variables
- # declared in that file. cannot just source the file, would override
- # any variables already set.
- eval `PS4= bash -x /etc/profile.env 2>&1 | \
- while read line; do
- case $line in
- ROOTPATH=*) echo $line; break;;
- *) continue;;
- esac
- done` && einfo " Found ROOTPATH..." || \
- ewarn " Failed to find ROOTPATH, please report this."
-
- # remove any duplicate entries
- ROOTPATH=$(cleanpath /bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin${ROOTPATH:+:${ROOTPATH}})
-
- einfo "...done."
-
- # XXX: --disable-path-info closes an info leak, but may be confusing.
- # XXX: /bin/vi may not be available, make nano visudo's default.
- econf --with-secure-path="${ROOTPATH}" \
- --with-editor=/bin/nano \
- --with-env-editor \
- $(use_with offensive insults) \
- $(use_with offensive all-insults) \
- $(use_with pam) \
- $(use_with skey) \
- $(use_with ldap ldap_conf_file /etc/ldap.conf.sudo) \
- $(use_with ldap) || die
-
- # disallow lazy bindings
- emake SUDO_LDFLAGS="-Wl,-z,now" || die
-}
-
-src_install() {
- einstall || die
- dodoc BUGS CHANGES HISTORY PORTING README RUNSON TODO \
- TROUBLESHOOTING UPGRADE sample.*
-
- if use ldap; then
- dodoc README.LDAP
- dosbin sudoers2ldif
-
- printf "# See ldap.conf(5) and README.LDAP for details\n" > ${T}/ldap.conf.sudo
- printf "# This file should only be readable by root\n\n" >> ${T}/ldap.conf.sudo
- printf "# supported directives: host, port, ssl, ldap_version\n" >> ${T}/ldap.conf.sudo
- printf "# uri, binddn, bindpw, sudoers_base, sudoers_debug\n" >> ${T}/ldap.conf.sudo
- printf "# tls_{checkpeer,cacertfile,cacertdir,randfile,ciphers,cert,key}\n" >> ${T}/ldap.conf.sudo
-
- insinto /etc
- doins ${T}/ldap.conf.sudo
- fperms 0440 /etc/ldap.conf.sudo
- fi
-
- if has_version virtual/pam; then
- pamd_mimic_system sudo auth account password session
- else
- dopamd ${FILESDIR}/sudo
- fi
-
- insinto /etc
- doins ${FILESDIR}/sudoers
- fperms 0440 /etc/sudoers
-}
-
-# remove duplicate path entries from $1
-cleanpath() {
- local i=1 x n IFS=:
- local -a paths; paths=($1)
-
- for ((n=${#paths[*]}-1;i<=n;i++)); do
- for ((x=0;x<i;x++)); do
- test "${paths[i]}" == "${paths[x]}" && {
- einfo " Duplicate entry ${paths[i]} removed..." 1>&2
- unset paths[i]; continue 2; }
- done; # einfo " Adding ${paths[i]}..." 1>&2
- done; echo "${paths[*]}"
-}
-
-# add $1 to default env_delete list.
-sudo_bad_var() {
- local target='env.c' marker='\*initial_badenv_table\[\]'
-
- ebegin " $1"
- sed -i 's#\(^.*'${marker}'.*$\)#\1\n\t"'${1}'",#' ${S}/${target}
- eend $?
-}
-
-pkg_postinst() {
- use skey && use pam && {
- ewarn "sudo will not use skey authentication when compiled with"
- ewarn "pam support."
- ewarn "To allow users to authenticate with one time passwords,"
- ewarn "you should unset the pam USE flag for sudo."
- }
- use ldap && {
- ewarn "sudo uses the /etc/ldap.conf.sudo file for ldap configuration."
- }
-}
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.6.8_p12-r1.ebuild,v 1.14 2007/05/17 12:41:19 taviso Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.6.8_p12-r1.ebuild,v 1.15 2008/02/12 10:29:46 flameeyes Exp $
inherit eutils pam flag-o-matic
S=${WORKDIR}/${P/_/}
src_unpack() {
- unpack ${A}; cd ${S}
+ unpack ${A}; cd "${S}"
# ldap failover patch
- epatch ${FILESDIR}/${PN}-ldap_timelimit.diff
+ epatch "${FILESDIR}"/${PN}-ldap_timelimit.diff
# compatability fix.
- epatch ${FILESDIR}/${PN}-skeychallengeargs.diff
+ epatch "${FILESDIR}"/${PN}-skeychallengeargs.diff
# make tls_cacert synonymous with tls_cacertfile.
- epatch ${FILESDIR}/${PN}-1.6.8_p8-ldap-tls_cacert.diff
+ epatch "${FILESDIR}"/${PN}-1.6.8_p8-ldap-tls_cacert.diff
# additional variables to disallow, should user disable env_reset.
dodoc README.LDAP
dosbin sudoers2ldif
- printf "# See ldap.conf(5) and README.LDAP for details\n" > ${T}/ldap.conf.sudo
- printf "# This file should only be readable by root\n\n" >> ${T}/ldap.conf.sudo
- printf "# supported directives: host, port, ssl, ldap_version\n" >> ${T}/ldap.conf.sudo
- printf "# uri, binddn, bindpw, sudoers_base, sudoers_debug\n" >> ${T}/ldap.conf.sudo
- printf "# tls_{checkpeer,cacertfile,cacertdir,randfile,ciphers,cert,key}\n" >> ${T}/ldap.conf.sudo
+ printf "# See ldap.conf(5) and README.LDAP for details\n" > "${T}"/ldap.conf.sudo
+ printf "# This file should only be readable by root\n\n" >> "${T}"/ldap.conf.sudo
+ printf "# supported directives: host, port, ssl, ldap_version\n" >> "${T}"/ldap.conf.sudo
+ printf "# uri, binddn, bindpw, sudoers_base, sudoers_debug\n" >> "${T}"/ldap.conf.sudo
+ printf "# tls_{checkpeer,cacertfile,cacertdir,randfile,ciphers,cert,key}\n" >> "${T}"/ldap.conf.sudo
insinto /etc
- doins ${T}/ldap.conf.sudo
+ doins "${T}"/ldap.conf.sudo
fperms 0440 /etc/ldap.conf.sudo
fi
if has_version virtual/pam; then
pamd_mimic_system sudo auth account password session
else
- dopamd ${FILESDIR}/sudo
+ dopamd "${FILESDIR}"/sudo
fi
insinto /etc
- doins ${FILESDIR}/sudoers
+ doins "${FILESDIR}"/sudoers
fperms 0440 /etc/sudoers
}
local target='env.c' marker='\*initial_badenv_table\[\]'
ebegin " $1"
- sed -i 's#\(^.*'${marker}'.*$\)#\1\n\t"'${1}'",#' ${S}/${target}
+ sed -i 's#\(^.*'${marker}'.*$\)#\1\n\t"'${1}'",#' "${S}"/${target}
eend $?
}
+++ /dev/null
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.6.8_p12.ebuild,v 1.5 2006/04/03 00:19:52 flameeyes Exp $
-
-inherit eutils pam flag-o-matic
-
-# TODO: Fix support for krb4 and krb5
-
-DESCRIPTION="Allows users or groups to run commands as other users"
-HOMEPAGE="http://www.sudo.ws/"
-SRC_URI="ftp://ftp.sudo.ws/pub/sudo/${P/_/}.tar.gz"
-LICENSE="Sudo"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
-IUSE="pam skey offensive ldap selinux"
-
-DEPEND="pam? ( || ( virtual/pam sys-libs/pam ) )
- ldap? ( >=net-nds/openldap-2.1.30-r1 )
- skey? ( >=app-admin/skey-1.1.5-r1 )
- virtual/editor
- virtual/mta"
-RDEPEND="selinux? ( sec-policy/selinux-sudo )
- ldap? ( dev-lang/perl )
- ${DEPEND}"
-DEPEND="${RDEPEND} sys-devel/bison"
-
-S=${WORKDIR}/${P/_/}
-
-src_unpack() {
- unpack ${A}; cd ${S}
-
- # ldap failover patch
- epatch ${FILESDIR}/${PN}-ldap_timelimit.diff
-
- # compatability fix.
- epatch ${FILESDIR}/${PN}-skeychallengeargs.diff
-
- # make tls_cacert synonymous with tls_cacertfile.
- epatch ${FILESDIR}/${PN}-1.6.8_p8-ldap-tls_cacert.diff
-
- # additional variables to disallow, should user disable env_reset.
-
- # NOTE: this is not a supported mode of operation, these variables
- # are added to the blacklist as a convenience to administrators
- # who fail to heed the warnings of allowing untrusted users
- # to access sudo.
- #
- # there is *no possible way* to foresee all attack vectors in
- # all possible applications that could potentially be used via
- # sudo, these settings will just delay the inevitable.
- #
- # that said, I will accept suggestions for variables that can
- # be misused in _common_ interpreters or libraries, such as
- # perl, bash, python, ruby, etc., in the hope of dissuading
- # a casual attacker.
-
- # XXX: perl should be using suid_perl.
- # XXX: users can remove/add more via env_delete and env_check.
- # XXX: <?> = probably safe enough for most circumstances.
-
- einfo "Blacklisting common variables (env_delete)..."
- sudo_bad_var 'PERLIO_DEBUG' # perl, write debug to file.
- sudo_bad_var 'FPATH' # ksh, search path for functions.
- sudo_bad_var 'NULLCMD' # zsh, command on null-redir. <?>
- sudo_bad_var 'READNULLCMD' # zsh, command on null-redir. <?>
-# sudo_bad_var 'TMPPREFIX' # zsh, prefix for tmp files. <?>
- sudo_bad_var 'GLOBIGNORE' # bash, glob paterns to ignore. <?>
- sudo_bad_var 'PYTHONHOME' # python, module search path.
- sudo_bad_var 'PYTHONPATH' # python, search path.
- sudo_bad_var 'PYTHONINSPECT' # python, allow inspection.
- sudo_bad_var 'RUBYLIB' # ruby, lib load path.
- sudo_bad_var 'RUBYOPT' # ruby, cl options.
-# sudo_bad_var 'RUBYPATH' # ruby, script search path. <?>
- sudo_bad_var 'ZDOTDIR' # zsh, path to search for dotfiles.
- einfo "...done."
-
- # prevent binaries from being stripped.
- sed -i 's/\($(INSTALL).*\) -s \(.*[(sudo|visudo)]\)/\1 \2/g' Makefile.in
-}
-
-src_compile() {
- local line ROOTPATH
-
- # FIXME: secure_path is a compile time setting. using ROOTPATH
- # is not perfect, env-update may invalidate this, but until it
- # is available as a sudoers setting this will have to do.
- einfo "Setting secure_path..."
-
- # why not use grep? variable might be expanded from other variables
- # declared in that file. cannot just source the file, would override
- # any variables already set.
- eval `PS4= bash -x /etc/profile.env 2>&1 | \
- while read line; do
- case $line in
- ROOTPATH=*) echo $line; break;;
- *) continue;;
- esac
- done` && einfo " Found ROOTPATH..." || \
- ewarn " Failed to find ROOTPATH, please report this."
-
- # remove any duplicate entries
- ROOTPATH=$(cleanpath /bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin${ROOTPATH:+:${ROOTPATH}})
-
- einfo "...done."
-
- # XXX: --disable-path-info closes an info leak, but may be confusing.
- # XXX: /bin/vi may not be available, make nano visudo's default.
- econf --with-secure-path="${ROOTPATH}" \
- --with-editor=/bin/nano \
- --with-env-editor \
- $(use_with offensive insults) \
- $(use_with offensive all-insults) \
- $(use_with pam) \
- $(use_with skey) \
- $(use_with ldap ldap_conf_file /etc/ldap.conf.sudo) \
- $(use_with ldap) || die
-
- # disallow lazy bindings
- emake SUDO_LDFLAGS="$(bindnow-flags)" || die
-}
-
-src_install() {
- einstall || die
- dodoc BUGS CHANGES HISTORY PORTING README RUNSON TODO \
- TROUBLESHOOTING UPGRADE sample.*
-
- if use ldap; then
- dodoc README.LDAP
- dosbin sudoers2ldif
-
- printf "# See ldap.conf(5) and README.LDAP for details\n" > ${T}/ldap.conf.sudo
- printf "# This file should only be readable by root\n\n" >> ${T}/ldap.conf.sudo
- printf "# supported directives: host, port, ssl, ldap_version\n" >> ${T}/ldap.conf.sudo
- printf "# uri, binddn, bindpw, sudoers_base, sudoers_debug\n" >> ${T}/ldap.conf.sudo
- printf "# tls_{checkpeer,cacertfile,cacertdir,randfile,ciphers,cert,key}\n" >> ${T}/ldap.conf.sudo
-
- insinto /etc
- doins ${T}/ldap.conf.sudo
- fperms 0440 /etc/ldap.conf.sudo
- fi
-
- if has_version virtual/pam; then
- pamd_mimic_system sudo auth account password session
- else
- dopamd ${FILESDIR}/sudo
- fi
-
- insinto /etc
- doins ${FILESDIR}/sudoers
- fperms 0440 /etc/sudoers
-}
-
-# remove duplicate path entries from $1
-cleanpath() {
- local i=1 x n IFS=:
- local -a paths; paths=($1)
-
- for ((n=${#paths[*]}-1;i<=n;i++)); do
- for ((x=0;x<i;x++)); do
- test "${paths[i]}" == "${paths[x]}" && {
- einfo " Duplicate entry ${paths[i]} removed..." 1>&2
- unset paths[i]; continue 2; }
- done; # einfo " Adding ${paths[i]}..." 1>&2
- done; echo "${paths[*]}"
-}
-
-# add $1 to default env_delete list.
-sudo_bad_var() {
- local target='env.c' marker='\*initial_badenv_table\[\]'
-
- ebegin " $1"
- sed -i 's#\(^.*'${marker}'.*$\)#\1\n\t"'${1}'",#' ${S}/${target}
- eend $?
-}
-
-pkg_postinst() {
- use skey && use pam && {
- ewarn "sudo will not use skey authentication when compiled with"
- ewarn "pam support."
- ewarn "To allow users to authenticate with one time passwords,"
- ewarn "you should unset the pam USE flag for sudo."
- }
- use ldap && {
- ewarn "sudo uses the /etc/ldap.conf.sudo file for ldap configuration."
- }
-}
+++ /dev/null
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.6.8_p9-r2.ebuild,v 1.15 2006/02/16 10:10:16 taviso Exp $
-
-inherit eutils pam
-
-# TODO: Fix support for krb4 and krb5
-
-DESCRIPTION="Allows users or groups to run commands as other users"
-HOMEPAGE="http://www.sudo.ws/"
-SRC_URI="ftp://ftp.sudo.ws/pub/sudo/${P/_/}.tar.gz"
-LICENSE="Sudo"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86"
-IUSE="pam skey offensive ldap selinux"
-
-DEPEND="pam? ( || ( virtual/pam sys-libs/pam ) )
- ldap? ( >=net-nds/openldap-2.1.30-r1 )
- skey? ( >=app-admin/skey-1.1.5-r1 )
- sys-devel/bison
- virtual/editor
- virtual/mta"
-RDEPEND="selinux? ( sec-policy/selinux-sudo )
- ldap? ( dev-lang/perl )
- ${DEPEND}"
-
-S=${WORKDIR}/${P/_/}
-
-src_unpack() {
- unpack ${A}; cd ${S}
-
- # ldap failover patch
- epatch ${FILESDIR}/${PN}-ldap_timelimit.diff
-
- # compatability fix.
- epatch ${FILESDIR}/${PN}-skeychallengeargs.diff
-
- # make tls_cacert synonymous with tls_cacertfile.
- epatch ${FILESDIR}/${PN}-1.6.8_p8-ldap-tls_cacert.diff
-
- # additional variables to disallow, should user disable env_reset.
-
- # NOTE: this is not a supported mode of operation, these variables
- # are added to the blacklist as a convenience to administrators
- # who fail to heed the warnings of allowing untrusted users
- # to access sudo.
- #
- # there is *no possible way* to foresee all attack vectors in
- # all possible applications that could potentially be used via
- # sudo, these settings will just delay the inevitable.
- #
- # that said, I will accept suggestions for variables that can
- # be misused in _common_ interpreters or libraries, such as
- # perl, bash, python, ruby, etc., in the hope of dissuading
- # a casual attacker.
-
- # XXX: perl should be using suid_perl.
- # XXX: users can remove/add more via env_delete and env_check.
- # XXX: <?> = probably safe enough for most circumstances.
-
- einfo "Blacklisting common variables (env_delete)..."
- sudo_bad_var 'SHELLOPTS' # bash, change shoptions.
- sudo_bad_var 'PERLIO_DEBUG' # perl, write debug to file.
- sudo_bad_var 'PERL5LIB' # perl, change search path.
- sudo_bad_var 'PERLLIB' # perl, change search path.
-# sudo_bad_var 'PERL_HASH_SEED' # perl, change seed. <?>
-# sudo_bad_var 'PERL_HASH_SEED_DEBUG' # perl, disclose seed. <?>
-# sudo_bad_var 'PERL_SIGNALS' # perl, use deferred signals. <?>
- sudo_bad_var 'FPATH' # ksh, search path for functions.
- sudo_bad_var 'PS4' # sh, in case set -x is used. <?>
- sudo_bad_var 'NULLCMD' # zsh, command on null-redir. <?>
- sudo_bad_var 'READNULLCMD' # zsh, command on null-redir. <?>
-# sudo_bad_var 'TMPPREFIX' # zsh, prefix for tmp files. <?>
- sudo_bad_var 'GLOBIGNORE' # bash, glob paterns to ignore. <?>
- sudo_bad_var 'PERL5OPT' # perl, set options.
- sudo_bad_var 'PYTHONHOME' # python, module search path.
- sudo_bad_var 'PYTHONPATH' # python, search path.
- sudo_bad_var 'PYTHONINSPECT' # python, allow inspection.
- sudo_bad_var 'RUBYLIB' # ruby, lib load path.
- sudo_bad_var 'RUBYOPT' # ruby, cl options.
-# sudo_bad_var 'RUBYPATH' # ruby, script search path. <?>
- sudo_bad_var 'ZDOTDIR' # zsh, path to search for dotfiles.
- einfo "...done."
-
- # prevent binaries from being stripped.
- sed -i 's/\($(INSTALL).*\) -s \(.*[(sudo|visudo)]\)/\1 \2/g' Makefile.in
-}
-
-src_compile() {
- local line ROOTPATH
-
- # FIXME: secure_path is a compile time setting. using ROOTPATH
- # is not perfect, env-update may invalidate this, but until it
- # is available as a sudoers setting this will have to do.
- einfo "Setting secure_path..."
-
- # why not use grep? variable might be expanded from other variables
- # declared in that file. cannot just source the file, would override
- # any variables already set.
- eval `PS4= bash -x /etc/profile.env 2>&1 | \
- while read line; do
- case $line in
- ROOTPATH=*) echo $line; break;;
- *) continue;;
- esac
- done` && einfo " Found ROOTPATH..." || \
- ewarn " Failed to find ROOTPATH, please report this."
-
- # remove any duplicate entries
- ROOTPATH=$(cleanpath /bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin${ROOTPATH:+:${ROOTPATH}})
-
- einfo "...done."
-
- # XXX: --disable-path-info closes an info leak, but may be confusing.
- # XXX: /bin/vi may not be available, make nano visudo's default.
- econf --with-secure-path="${ROOTPATH}" \
- --with-editor=/bin/nano \
- --with-env-editor \
- $(use_with offensive insults) \
- $(use_with offensive all-insults) \
- $(use_with pam) \
- $(use_with skey) \
- $(use_with ldap ldap_conf_file /etc/ldap.conf.sudo) \
- $(use_with ldap) || die
-
- # disallow lazy bindings
- emake SUDO_LDFLAGS="-Wl,-z,now" || die
-}
-
-src_install() {
- einstall || die
- dodoc BUGS CHANGES HISTORY PORTING README RUNSON TODO \
- TROUBLESHOOTING UPGRADE sample.*
-
- if use ldap; then
- dodoc README.LDAP
- dosbin sudoers2ldif
-
- printf "# See ldap.conf(5) and README.LDAP for details\n" > ${T}/ldap.conf.sudo
- printf "# This file should only be readable by root\n\n" >> ${T}/ldap.conf.sudo
- printf "# supported directives: host, port, ssl, ldap_version\n" >> ${T}/ldap.conf.sudo
- printf "# uri, binddn, bindpw, sudoers_base, sudoers_debug\n" >> ${T}/ldap.conf.sudo
- printf "# tls_{checkpeer,cacertfile,cacertdir,randfile,ciphers,cert,key}\n" >> ${T}/ldap.conf.sudo
-
- insinto /etc
- doins ${T}/ldap.conf.sudo
- fperms 0440 /etc/ldap.conf.sudo
- fi
-
- if has_version virtual/pam; then
- pamd_mimic_system sudo auth account password session
- else
- dopamd ${FILESDIR}/sudo
- fi
-
- insinto /etc
- doins ${FILESDIR}/sudoers
- fperms 0440 /etc/sudoers
-}
-
-# remove duplicate path entries from $1
-cleanpath() {
- local i=1 x n IFS=:
- local -a paths; paths=($1)
-
- for ((n=${#paths[*]}-1;i<=n;i++)); do
- for ((x=0;x<i;x++)); do
- test "${paths[i]}" == "${paths[x]}" && {
- einfo " Duplicate entry ${paths[i]} removed..." 1>&2
- unset paths[i]; continue 2; }
- done; # einfo " Adding ${paths[i]}..." 1>&2
- done; echo "${paths[*]}"
-}
-
-# add $1 to default env_delete list.
-sudo_bad_var() {
- local target='env.c' marker='\*initial_badenv_table\[\]'
-
- ebegin " $1"
- sed -i 's#\(^.*'${marker}'.*$\)#\1\n\t"'${1}'",#' ${S}/${target}
- eend $?
-}
-
-pkg_postinst() {
- use skey && use pam && {
- ewarn "sudo will not use skey authentication when compiled with"
- ewarn "pam support."
- ewarn "To allow users to authenticate with one time passwords,"
- ewarn "you should unset the pam USE flag for sudo."
- }
- use ldap && {
- ewarn "sudo uses the /etc/ldap.conf.sudo file for ldap configuration."
- }
-}
+++ /dev/null
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.6.8_p9.ebuild,v 1.20 2006/02/16 10:10:16 taviso Exp $
-
-inherit eutils pam
-
-# TODO: Fix support for krb4 and krb5
-
-DESCRIPTION="Allows certain users/groups to run commands as root"
-HOMEPAGE="http://www.sudo.ws/"
-SRC_URI="ftp://ftp.sudo.ws/pub/sudo/${P/_/}.tar.gz"
-LICENSE="Sudo"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sparc x86"
-IUSE="pam skey offensive ldap"
-
-DEPEND="pam? ( || ( virtual/pam sys-libs/pam ) )
- ldap? ( >=net-nds/openldap-2.1.30-r1 )
- skey? ( >=app-admin/skey-1.1.5-r1 )
- sys-devel/bison
- virtual/mta"
-RDEPEND="${DEPEND} ldap? ( dev-lang/perl )"
-
-S=${WORKDIR}/${P/_/}
-
-src_unpack() {
- unpack ${A}; cd ${S}
-
- # compatability fix.
- epatch ${FILESDIR}/${PN}-skeychallengeargs.diff
-
- # make tls_cacert synonymous with tls_cacertfile.
- epatch ${FILESDIR}/${PN}-1.6.8_p8-ldap-tls_cacert.diff
-
- # additional variables to disallow, should user disable env_reset.
-
- # NOTE: this is not a supported mode of operation, these variables
- # are added to the blacklist as a convenience to administrators
- # who fail to heed the warnings of allowing untrusted users
- # to access sudo.
- #
- # there is *no possible way* to foresee all attack vectors in
- # all possible applications that could potentially be used via
- # sudo, these settings will just delay the inevitable.
- #
- # that said, I will accept suggestions for variables that can
- # be misused in _common_ interpreters or libraries, such as
- # perl, bash, python, ruby, etc., in the hope of dissuading
- # a casual attacker.
-
- # XXX: perl should be using suid_perl.
- # XXX: users can remove/add more via env_delete and env_check.
- # XXX: <?> = probably safe enough for most circumstances.
-
- einfo "Blacklisting common variables (env_delete)..."
- sudo_bad_var 'SHELLOPTS' # bash, change shoptions.
- # http://www.sudo.ws/bugs/show_bug.cgi?id=182
- # http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-1051
- # *sigh*
- sudo_bad_var 'PERLIO_DEBUG' # perl, write debug to file.
- sudo_bad_var 'PERL5LIB' # perl, change search path.
- sudo_bad_var 'PERLLIB' # perl, change search path.
-# sudo_bad_var 'PERL_HASH_SEED' # perl, change seed. <?>
-# sudo_bad_var 'PERL_HASH_SEED_DEBUG' # perl, disclose seed. <?>
-# sudo_bad_var 'PERL_SIGNALS' # perl, use deferred signals. <?>
- sudo_bad_var 'FPATH' # ksh, search path for functions.
- sudo_bad_var 'PS4' # sh, in case set -x is used. <?>
- sudo_bad_var 'NULLCMD' # zsh, command on null-redir. <?>
- sudo_bad_var 'READNULLCMD' # zsh, command on null-redir. <?>
-# sudo_bad_var 'TMPPREFIX' # zsh, prefix for tmp files. <?>
- sudo_bad_var 'GLOBIGNORE' # bash, glob paterns to ignore. <?>
- sudo_bad_var 'PERL5OPT' # perl, set options.
- sudo_bad_var 'PYTHONHOME' # python, module search path.
- sudo_bad_var 'PYTHONPATH' # python, search path.
- sudo_bad_var 'PYTHONINSPECT' # python, allow inspection.
- sudo_bad_var 'RUBYLIB' # ruby, lib load path.
- sudo_bad_var 'RUBYOPT' # ruby, cl options.
-# sudo_bad_var 'RUBYPATH' # ruby, script search path. <?>
- sudo_bad_var 'ZDOTDIR' # zsh, path to search for dotfiles.
- einfo "...done."
-
- # prevent binaries from being stripped.
- sed -i 's/\($(INSTALL).*\) -s \(.*[(sudo|visudo)]\)/\1 \2/g' Makefile.in
-}
-
-src_compile() {
- local line ROOTPATH
-
- # FIXME: secure_path is a compile time setting. using ROOTPATH
- # is not perfect, env-update may invalidate this, but until it
- # is available as a sudoers setting this will have to do.
- einfo "Setting secure_path..."
-
- # why not use grep? variable might be expanded from other variables
- # declared in that file. cannot just source the file, would override
- # any variables already set.
- eval `PS4= bash -x /etc/profile.env 2>&1 | \
- while read line; do
- case $line in
- ROOTPATH=*) echo $line; break;;
- *) continue;;
- esac
- done` && einfo " Found ROOTPATH..." || \
- ewarn " Failed to find ROOTPATH, please report this."
-
- # remove any duplicate entries
- ROOTPATH=$(cleanpath /bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin${ROOTPATH:+:${ROOTPATH}})
-
- einfo "...done."
-
- # XXX: --disable-path-info closes an info leak, but may be confusing.
- # XXX: /bin/vi may not be available, make nano visudo's default.
- econf --with-secure-path="${ROOTPATH}" \
- --with-editor=/bin/nano \
- --with-env-editor \
- $(use_with offensive insults) \
- $(use_with offensive all-insults) \
- $(use_with pam) \
- $(use_with skey) \
- $(use_with ldap) || die
-
- # disallow lazy bindings
- emake SUDO_LDFLAGS="-Wl,-z,now" || die
-}
-
-src_install() {
- einstall || die
- dodoc BUGS CHANGES HISTORY PORTING README RUNSON TODO \
- TROUBLESHOOTING UPGRADE sample.*
-
- use ldap && { dodoc README.LDAP; dosbin sudoers2ldif; }
-
- if has_version virtual/pam; then
- pamd_mimic_system sudo auth account password session
- else
- dopamd ${FILESDIR}/sudo
- fi
-
- insinto /etc
- doins ${FILESDIR}/sudoers
- fperms 0440 /etc/sudoers
-}
-
-# remove duplicate path entries from $1
-cleanpath() {
- local i=1 x n IFS=:
- local -a paths; paths=($1)
-
- for ((n=${#paths[*]}-1;i<=n;i++)); do
- for ((x=0;x<i;x++)); do
- test "${paths[i]}" == "${paths[x]}" && {
- einfo " Duplicate entry ${paths[i]} removed..." 1>&2
- unset paths[i]; continue 2; }
- done; # einfo " Adding ${paths[i]}..." 1>&2
- done; echo "${paths[*]}"
-}
-
-# add $1 to default env_delete list.
-sudo_bad_var() {
- local target='env.c' marker='\*initial_badenv_table\[\]'
-
- ebegin " $1"
- sed -i 's#\(^.*'${marker}'.*$\)#\1\n\t"'${1}'",#' ${S}/${target}
- eend $?
-}
-
-pkg_postinst() {
- use skey && use pam && {
- ewarn "sudo will not use skey authentication when compiled with"
- ewarn "pam support."
- ewarn "To allow users to authenticate with one time passwords,"
- ewarn "you should unset the pam USE flag for sudo."
- }
-}